[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: compiling with VS2008

From: Stefan Küng <tortoisesvn_at_gmail.com>
Date: Sun, 17 Feb 2008 08:36:06 +0100

Sam Watkins wrote:

> I changed to use "trunk" instead of 1.4.x, and it does build better
> under VS2008 now, but the setup program still will not build for me, I'm
> getting the same error I had before. I'm using wix v2.
>
> I think the problem is what is described here:
>
> http://www.mail-archive.com/wix-users@lists.sourceforge.net/msg10041.html
>
> I.e. newer versions of WiX are compiled with a vista library that is
> somehow broken w.r.t some merge modules or vice versa. Something like
> that...
>
> I installed wix-2.0.4820.0-binaries.zip and the problem is fixed now.

Seems I had that version installed. I usually don't update WiX that
frequently since v2 is marked as stable.

> You might like to mention that in the install notes, or follow it up
> with the WiX developers if you want to. I guess it's probably to do
> with the GDIPLUS.msm merge module.

Since it also doesn't work with WiX v3, I decided to remove gdiplus
completely from the installer. Users on Win2k can download it directly
from Microsoft themselves if it isn't installed already.

Stefan

-- 
        ___
   oo  // \\      "De Chelonian Mobile"
  (_,\/ \_/ \     TortoiseSVN
    \ \_/_\_/>    The coolest Interface to (Sub)Version Control
    /_/   \_\     http://tortoisesvn.net

Received on 2008-02-17 08:36:27 CET

This is an archived mail posted to the TortoiseSVN Dev mailing list.